Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_FlowEndPoint Class Reference

This class is used per flow e.g video flow and an audio flow to encapsulate the transport details. More...

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_FlowEndPoint:

[legend]
Collaboration diagram for TAO_FlowEndPoint:

[legend]
List of all members.

## Public Methods
| TAO_FlowEndPoint (void)
| default constructor. More...
| TAO_FlowEndPoint (const char *flowname, AVStreams::protocolSpec &protocols, const char *format)
int | open (const char *flowname, AVStreams::protocolSpec &protocols, const char *format)
int | set_flowname (const char *flowname)
virtual void | set_flow_handler (const char *flowname, TAO_AV_Flow_Handler *handler)
virtual int | set_protocol_object (const char *flowname, TAO_AV_Protocol_Object *object)
virtual CORBA::Boolean | lock (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| lock the flow endpoint for a particular flow. More...
virtual void | unlock (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| unlock the flow endpoint for subsequent use. More...
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| destroy this flow. More...
virtual AVStreams::StreamEndPoint_ptr | related_sep (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| get method for the related streamendpoint under which this flowendpoint is. More...
virtual void | related_sep (AVStreams::StreamEndPoint_ptr related_sep ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| set method for the related streamendpoint under which this flowendpoint is. More...
virtual AVStreams::FlowConnection_ptr | related_flow_connection (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | related_flow_connection (AVStreams::FlowConnection_ptr related_flow_connection ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| set method for the related flow connection attribute. More...
virtual AVStreams::FlowEndPoint_ptr | get_connected_fep (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::notConnected, AVStreams::notSupported)
| returns the other flowendpoint to which this is connected. More...
virtual CORBA::Boolean | use_flow_protocol (const char *fp_name, const CORBA::Any &fp_settings ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::FPError, AVStreams::notSupported)
virtual void | set_format (const char *format ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::notSupported)
| sets the data format. More...
virtual void | set_dev_params (const CosPropertyService::Properties &new_settings ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)
| sets the device parameters. More...
virtual void | set_protocol_restriction (const AVStreams::protocolSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::notSupported)
| sets the list of protocols to be used. More...
virtual CORBA::Boolean | is_fep_compatible (AVStreams::FlowEndPoint_ptr fep ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::formatMismatch, AVStreams::deviceQosMismatch)
| checks whether the passed flowendpoint is compatible with this. More...
virtual CORBA::Boolean | set_peer (AVStreams::FlowConnection_ptr the_fc, AVStreams::FlowEndPoint_ptr the_peer_fep, AVStreams::QoS &the_qos ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)
| sets the peer flowendpoint. More...
virtual CORBA::Boolean | set_Mcast_peer (AVStreams::FlowConnection_ptr the_fc, AVStreams::MCastConfigIf_ptr a_mcastconfigif, AVStreams::QoS &the_qos ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::QoSRequestFailed)
| sets the multicast peer flowendpoint, not implemented. More...
virtual CORBA::Boolean | connect_to_peer (AVStreams::QoS &the_qos, const char *address, const char *use_flow_protocol ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::FPError, AVStreams::QoSRequestFailed)
| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. More...
virtual CORBA::Boolean | connect_to_peer_i (TAO_FlowSpec_Entry::Role role, AVStreams::QoS &the_qos, const char *address, const char *use_flow_protocol ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::FPError, AVStreams::QoSRequestFailed)
| connect to the peer endpoint. More...
virtual char * | go_to_listen (AVStreams::QoS &the_qos, CORBA::Boolean is_mcast, AVStreams::FlowEndPoint_ptr peer, char *&flowProtocol ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw (CORBA::SystemException, AVStreams::failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)
| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. More...
virtual char * | go_to_listen_i (TAO_FlowSpec_Entry::Role role, AVStreams::QoS &the_qos, CORBA::Boolean is_mcast, AVStreams::FlowEndPoint_ptr peer, char *&flowProtocol ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException, AVStreams::failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)
| listen request from the peer. More...
## Protected Attributes
AVStreams::StreamEndPoint_var | related_sep_
| The related streamendpoint. More...
AVStreams::FlowConnection_var | related_flow_connection_
| The related flow connection reference. More...
AVStreams::FlowEndPoint_var | peer_fep_
| The peer flowendpoint reference. More...
AVStreams::protocolSpec | protocols_
| Available protocols for this flowendpoint. More...
AVStreams::protocolSpec | protocol_addresses_
| Address information for the protocols. More...
AVStreams::MCastConfigIf_var | mcast_peer_
| The multicast peer endpoint. More...
CORBA::Boolean | lock_
| Lock. More...
CORBA::String_var | format_
CORBA::String_var | flowname_
CosPropertyService::Properties | dev_params_
TAO_AV_FlowSpecSet | flow_spec_set_
CORBA::String_var | reverse_channel_

## Detailed Description

This class is used per flow e.g video flow and an audio flow to encapsulate the transport details.

## Constructor & Destructor Documentation

TAO_FlowEndPoint::TAO_FlowEndPoint | ( | void |  | ) |

| default constructor.

TAO_FlowEndPoint::TAO_FlowEndPoint | ( | const char * | flowname,
|  | AVStreams::protocolSpec & | protocols,
|  | const char * | format
| ) |

## Member Function Documentation

virtual CORBA::Boolean TAO_FlowEndPoint::connect_to_peer | ( | AVStreams::QoS & | the_qos,
|  | const char * | address,
|  | const char *use_flow_protocol | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::FPError, AVStreams::QoSRequestFailed)`[pure virtual]`

| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. eg. in SFP to create Producer Object/ Consumer Object. Reimplemented in TAO_FlowProducer, and TAO_FlowConsumer.

CORBA::Boolean TAO_FlowEndPoint::connect_to_peer_i | ( | TAO_FlowSpec_Entry::Role | role,
|  | AVStreams::QoS & | the_qos,
|  | const char * | address,
|  | const char *use_flow_protocol | ACE_ENV_ARG_DECL_NOT_USED
| ) | throw (CORBA::SystemException, AVStreams::failedToConnect, AVStreams::FPError, AVStreams::QoSRequestFailed)`[virtual]`

| connect to the peer endpoint.

void TAO_FlowEndPoint::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| destroy this flow.

AVStreams::FlowEndPoint_ptr TAO_FlowEndPoint::get_connected_fep | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException, AVStreams::notConnected, AVStreams::notSupported)`[virtual]`

| returns the other flowendpoint to which this is connected.

virtual char* TAO_FlowEndPoint::go_to_listen | ( | AVStreams::QoS & | the_qos,
|  | CORBA::Boolean | is_mcast,
|  | AVStreams::FlowEndPoint_ptr | peer_fep,
|  | char *&flowProtocol | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)`[pure virtual]`

| This should be implemented in both the FlowProducer and consumer and hence is pure virtual since we need to know the role of the flowendpoint to create appropriate protocol objects. eg. in SFP to create Producer Object/ Consumer Object. Reimplemented in TAO_FlowProducer, and TAO_FlowConsumer.

char * TAO_FlowEndPoint::go_to_listen_i | ( | TAO_FlowSpec_Entry::Role | role,
|  | AVStreams::QoS & | the_qos,
|  | CORBA::Boolean | is_mcast,
|  | AVStreams::FlowEndPoint_ptr | peer_fep,
|  | char *&flowProtocol | ACE_ENV_ARG_DECL
| ) | throw (CORBA::SystemException, AVStreams::failedToListen, AVStreams::FPError, AVStreams::QoSRequestFailed)`[virtual]`

| listen request from the peer.

virtual CORBA::Boolean TAO_FlowEndPoint::is_fep_compatible | ( | AVStreams::FlowEndPoint_ptr fep | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, AVStreams::formatMismatch, AVStreams::deviceQosMismatch)`[virtual]`

| checks whether the passed flowendpoint is compatible with this.

CORBA::Boolean TAO_FlowEndPoint::lock | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| lock the flow endpoint for a particular flow.

int TAO_FlowEndPoint::open | ( | const char * | flowname,
|  | AVStreams::protocolSpec & | protocols,
|  | const char * | format
| ) |

void TAO_FlowEndPoint::related_flow_connection | ( | AVStreams::FlowConnection_ptr related_flow_connection | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| set method for the related flow connection attribute.

AVStreams::FlowConnection_ptr TAO_FlowEndPoint::related_flow_connection | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

void TAO_FlowEndPoint::related_sep | ( | AVStreams::StreamEndPoint_ptr related_sep | ACE_ENV_ARG_DECL_NOT_USED | ) | throw (CORBA::SystemException)`[virtual]`

| set method for the related streamendpoint under which this flowendpoint is.

AVStreams::StreamEndPoint_ptr TAO_FlowEndPoint::related_sep | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| get method for the related streamendpoint under which this flowendpoint is.

void TAO_FlowEndPoint::set_dev_params | ( | const CosPropertyService::Properties &new_settings | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, AVStreams::PropertyException, AVStreams::streamOpFailed)`[virtual]`

| sets the device parameters.

void TAO_FlowEndPoint::set_flow_handler | ( | const char * | flowname,
|  | TAO_AV_Flow_Handler * | handler
| ) | `[virtual]`

| Reimplemented from TAO_Base_StreamEndPoint.

int TAO_FlowEndPoint::set_flowname | ( | const char * | flowname | ) |

void TAO_FlowEndPoint::set_format | ( | const char *format | ACE_ENV_ARG_DECL | ) | throw (CORBA::SystemException, AVStreams::notSupported)`[virtual]`

| sets the data format.

virtual CORBA::Boolean TAO_FlowEndPoint::set_Mcast_peer | ( | AVStreams::FlowConnection_ptr | the_fc,
|  | AVStreams::MCastConfigIf_ptr | a_mcastconfigif,
|  | AVStreams::QoS &the_qos | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, AVStreams::QoSRequestFailed)`[virtual]`

| sets the multicast peer flowendpoint, not implemented.

virtual CORBA::Boolean TAO_FlowEndPoint::set_peer | ( | AVStreams::FlowConnection_ptr | the_fc,
|  | AVStreams::FlowEndPoint_ptr | the_peer_fep,
|  | AVStreams::QoS &the_qos | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, AVStreams::QoSRequestFailed, AVStreams::streamOpFailed)`[virtual]`

| sets the peer flowendpoint.

int TAO_FlowEndPoint::set_protocol_object | ( | const char * | flowname,
|  | TAO_AV_Protocol_Object * | object
| ) | `[virtual]`

| Reimplemented from TAO_Base_StreamEndPoint.

virtual void TAO_FlowEndPoint::set_protocol_restriction | ( | const AVStreams::protocolSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException, AVStreams::notSupported)`[virtual]`

| sets the list of protocols to be used.

void TAO_FlowEndPoint::unlock | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| unlock the flow endpoint for subsequent use.

virtual CORBA::Boolean TAO_FlowEndPoint::use_flow_protocol | ( | const char * | fp_name,
|  | const CORBA::Any &fp_settings | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException, AVStreams::FPError, AVStreams::notSupported)`[virtual]`

## Member Data Documentation

CosPropertyService::Properties TAO_FlowEndPoint::dev_params_`[protected]`

TAO_AV_FlowSpecSet TAO_FlowEndPoint::flow_spec_set_`[protected]`

CORBA::String_var TAO_FlowEndPoint::flowname_`[protected]`

CORBA::String_var TAO_FlowEndPoint::format_`[protected]`

CORBA::Boolean TAO_FlowEndPoint::lock_`[protected]`

| Lock.

AVStreams::MCastConfigIf_var TAO_FlowEndPoint::mcast_peer_`[protected]`

| The multicast peer endpoint.

AVStreams::FlowEndPoint_var TAO_FlowEndPoint::peer_fep_`[protected]`

| The peer flowendpoint reference.

AVStreams::protocolSpec TAO_FlowEndPoint::protocol_addresses_`[protected]`

| Address information for the protocols.

AVStreams::protocolSpec TAO_FlowEndPoint::protocols_`[protected]`

| Available protocols for this flowendpoint.

AVStreams::FlowConnection_var TAO_FlowEndPoint::related_flow_connection_`[protected]`

| The related flow connection reference.

AVStreams::StreamEndPoint_var TAO_FlowEndPoint::related_sep_`[protected]`

| The related streamendpoint.

CORBA::String_var TAO_FlowEndPoint::reverse_channel_`[protected]`

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp